# Packmangroup: Multimedia
# Packmanpackagename: ffmpeg
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder</p>
# Packmanpackagedesc_de: <p>Hyperschneller MPEG1/MPEG4/H263/RV und AC3/MPEG Audio-Encoder</p>

# norootforbuild

%define name      ffmpeg
%define version   0.5
%define release   0.pm.3
%define major     0
%define lib       libffmpeg
%define libname   %{lib}%{major}
%define majoravcodec     52
%define libavcodec       libavcodec
%define libnameavcodec   %{libavcodec}%{majoravcodec}
%define majoravdevice    52
%define libavdevice      libavdevice
%define libnameavdevice  %{libavdevice}%{majoravdevice}
%define majoravformat    52
%define libavformat      libavformat
%define libnameavformat  %{libavformat}%{majoravformat}
%define majoravutil      49
%define libavutil        libavutil
%define libnameavutil    %{libavutil}%{majoravutil}
%define majorpostproc    51
%define libpostproc      libpostproc
%define libnamepostproc  %{libpostproc}%{majorpostproc}
%define majorswscale     0
%define libswscale       libswscale
%define libnameswscale   %{libswscale}%{majorswscale}

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        LGPL v2 or later and some code GPL v2 or later
Group:          Productivity/Multimedia/Video/Editors and Convertors
Summary:        Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(de):    Hyperschneller MPEG1/MPEG4/H263/RV Und AC3/MPEG Audio-Encoder
URL:            http://ffmpeg.mplayerhq.hu

Source0:        ffmpeg-0.5.tar.bz2

Patch0:         ffmpeg_configure.diff
BuildRoot:      %{_tmppath}/%{name}-buildroot
Prefix:         %{_prefix}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavdevice} = %{version}-%{release}
Requires:       %{libnameavformat} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}
Requires:       %{libnameswscale} = %{version}-%{release}
%if %suse_version >= 930
BuildRequires:  libdca-devel
BuildRequires:  libdca0
%endif
BuildRequires:  yasm >= 0.7.1
%if %suse_version >= 1010
BuildRequires:  libgsm
BuildRequires:  libgsm-devel
%endif
BuildRequires:  imlib2-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libtheora-devel >= 1.0.final
BuildRequires:  ncurses-devel
BuildRequires:  libjack-devel
BuildRequires:  alsa-devel
BuildRequires:  freetype2-devel
BuildRequires:  SDL-devel
BuildRequires:  slang-devel
%if %suse_version >= 920
BuildRequires:  xorg-x11-devel
%else
BuildRequires:  XFree86-devel
%endif
BuildRequires:  zlib-devel
BuildRequires:  libfaad2 >= 2.7
BuildRequires:  libfaad-devel >= 2.7
BuildRequires:  libfaac-devel >= 1.28
BuildRequires:  libx264-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  texinfo
BuildRequires:  libamrnb-devel
BuildRequires:  libamrwb-devel
#BuildRequires:  liba52-devel
BuildRequires:  libdc1394
BuildRequires:  libdc1394-devel
BuildRequires:  speex-devel
%if %suse_version >= 1030
BuildRequires:  libschroedinger-devel >= 1.0.5
BuildRequires:  liboil-devel >= 0.3.15
BuildRequires:  libdirac-devel >= 1.0.0
%endif
#%if %suse_version >= 1100
#BuildRequires:  libnut-devel
#%endif
%if %suse_version > 1020
BuildRequires:  libdc1394_control12-devel
%endif
#BuildRequires:  G.729-devel
BuildRequires:  nvidia-vdpau-devel

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

%package -n %{libname}
Group:          System/Libraries
Summary:        metapackage for ffmpeg shared libraries
Summary(de):    Metapaket für die ffmpeg Bibliotheken
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavdevice} = %{version}-%{release}
Requires:       %{libnameavformat} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}
Requires:       %{libnamepostproc} = %{version}-%{release}
Requires:       %{libnameswscale} = %{version}-%{release}

%description -n %{libname}
metapackage for ffmpeg shared libraries

%description -n %{libname} -l de
Metapaket für die ffmpeg Bibliotheken

%package -n %{libnameavcodec}
Group:          System/Libraries
Summary:        ffmpeg %{libavcodec}
Provides:       %{libavcodec} = %{version}-%{release}

%description -n %{libnameavcodec}
ffmpeg %{libavcodec} shared library

%description -n %{libnameavcodec} -l de
ffmpeg %{libavcodec} Bibliothek


%package -n %{libnameavdevice}
Group:          System/Libraries
Summary:        ffmpeg %{libavdevice}
Provides:       %{libavdevice} = %{version}-%{release}

%description -n %{libnameavdevice}
ffmpeg %{libavdevice} shared library

%description -n %{libnameavdevice} -l de
ffmpeg %{libavdevice} Bibliothek


%package -n %{libnameavformat}
Group:          System/Libraries
Summary:        ffmpeg %{libavformat}
Provides:       %{libavformat} = %{version}-%{release}

%description -n %{libnameavformat}
ffmpeg %{libavformat} shared library

%description -n %{libnameavformat} -l de
ffmpeg %{libavformat} Bibliothek


%package -n %{libnameavutil}
Group:          System/Libraries
Summary:        ffmpeg %{libavutil}
Provides:       %{libavutil} = %{version}-%{release}

%description -n %{libnameavutil}
ffmpeg %{libavutil} shared library

%description -n %{libnameavutil} -l de
ffmpeg %{libavutil} Bibliothek


%package -n %{libnamepostproc}
Group:          System/Libraries
Summary:        ffmpeg %{libpostproc}
Provides:       %{libpostproc} = %{version}-%{release}

%description -n %{libnamepostproc}
ffmpeg %{libpostproc} shared library

%description -n %{libnamepostproc} -l de
ffmpeg %{libpostproc} Bibliothek


%package -n %{libnameswscale}
Group:          System/Libraries
Summary:        ffmpeg %{libswscale}
Provides:       %{libswscale} = %{version}-%{release}

%description -n %{libnameswscale}
ffmpeg %{libswscale} shared library

%description -n %{libnameswscale} -l de
ffmpeg %{libswscale} Bibliothek


%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the ffmpeg library
Summary(de):    Header Dateien und statische Bibliotheken für die ffmpeg Bibliothek
Requires:       %{libname} = %{version}-%{release}
Requires:       libmp3lame-devel
Requires:       libogg-devel
Requires:       libvorbis-devel
Requires:       libtheora-devel >= 1.0.final
Requires:       alsa-devel
Requires:       slang-devel
Requires:       zlib-devel
Requires:       libfaad-devel
Requires:       libfaac-devel
Requires:       libxvidcore-devel
Requires:       libmp4v2-devel
Requires:       libx264-devel
Requires:       libamrnb-devel
Requires:       libamrwb-devel
#Requires:       liba52-devel
Requires:       libjack-devel
Requires:       speex-devel
%if %suse_version > 930
Requires:       libdca-devel
%endif
%if %suse_version >= 1010
Requires:       libgsm-devel
%endif
Requires:       libdc1394
Requires:       libdc1394-devel
%if %suse_version >= 1030
Requires:       libschroedinger-devel >= 1.0.5
Requires:       liboil-devel >= 0.3.15
Requires:       libdirac0
Requires:       libdirac-devel >= 1.0.0
%endif
#%if %suse_version >= 1100
#Requires:       libnut-devel
#%endif
%if %suse_version > 1020
Requires:       libdc1394_control12-devel
%endif
Requires:       nvidia-vdpau-devel
Provides:       %{libname}-devel = %{version}-%{release}
%ifarch x86_64 amd64 ia32e
Provides:       libavcodec.so()(64bit)
Provides:       libavformat.so()(64bit)
Provides:       libavutil.so()(64bit)
Provides:       libpostproc.so()(64bit)
%else
Provides:       libavcodec.so
Provides:       libavformat.so
Provides:       libavutil.so
Provides:       libpostproc.so
%endif
Obsoletes:      ffmpeg-devel
Provides:       ffmpeg-devel

%description -n %{lib}-devel
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%description -n %{lib}-devel -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

Installieren Sie libffmpeg-devel wenn Sie Anwendungen mit ffmpeg Support
compilieren wollen.

%debug_package

%prep
%setup -q -n %{name}-%{version}
%patch0

%suse_update_libdir configure
#don't call ldconfig on install
#perl -pi -e 's/ldconfig \|\| true//' libavcodec/Makefile

%build
archflags=""
%ifarch x86_64 amd64 ia32e
  archflags=" -fPIC"
%endif
%ifarch %ix86
#  archflags=" -pipe -ffast-math -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
  archflags=" -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
  sed -i -e "s/-fPIC -DPIC//g" libpostproc/Makefile
%endif

CFLAGS="$RPM_OPT_FLAGS $archflags"
%if %suse_version >= 1010
CFLAGS="${CFLAGS} -I%{_includedir}/gsm"
%endif
export archflags
export CFLAGS

./configure --shlibdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir} \
%if %suse_version == 910
            --enable-memalign-hack \
%endif
            --libdir=%{_libdir} --enable-shared --enable-libmp3lame \
            --enable-libvorbis --enable-libtheora --enable-libspeex --enable-libfaad \
            --enable-libfaac --enable-libxvid --enable-swscale \
            --enable-postproc --enable-gpl --enable-vhook --enable-x11grab \
%if %suse_version >= 1030
            --enable-libschroedinger --enable-libdirac \
%endif
%if %suse_version >= 1010
            --enable-libgsm \
%endif
%ifarch ppc
            --disable-altivec \
%endif
            --enable-libx264 --enable-libamr-nb --enable-libamr-wb \
            --enable-libdc1394 --enable-nonfree --enable-pthreads \
            --enable-vdpau
#--enable-libg729a --enable-liba52 --enable-libopenjpeg
#%if %suse_version >= 1100
#            --enable-libnut \
#%endif
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__ln_s} libavformat libav
#%{__make} DESTDIR=%{buildroot} mandir=%{buildroot}%{_mandir} \
#   prefix=%{buildroot}%{_prefix} \
#   bindir=%{buildroot}%{_bindir} \
#   libdir=%{buildroot}%{_libdir} \
#   mandir=%{buildroot}%{_mandir} \
#   includedir=%{buildroot}%{_includedir} \
#   install
%{makeinstall}

%{__mkdir_p} %{buildroot}%{_includedir}/postproc
%{__install} -d %{buildroot}%{_libdir}/libavcodec
%{__rm} -rf doc/.svn
%{__rm} -f doc/Makefile
%{__install} -m 644 libavcodec/dvdata.h %{buildroot}%{_includedir}/libavcodec/
pushd %{buildroot}%{_libdir}/libavcodec && %{__ln_s} -f ../libavcodec.a && popd
echo "Dummy package with dependencies to the real libs" > libffmpeg0.txt

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libnameavcodec} -p /sbin/ldconfig
%postun -n %{libnameavcodec} -p /sbin/ldconfig

%post -n %{libnameavdevice} -p /sbin/ldconfig
%postun -n %{libnameavdevice} -p /sbin/ldconfig

%post -n %{libnameavformat} -p /sbin/ldconfig
%postun -n %{libnameavformat} -p /sbin/ldconfig

%post -n %{libnameavutil} -p /sbin/ldconfig
%postun -n %{libnameavutil} -p /sbin/ldconfig

%post -n %{libnamepostproc} -p /sbin/ldconfig
%postun -n %{libnamepostproc} -p /sbin/ldconfig

%post -n %{libnameswscale} -p /sbin/ldconfig
%postun -n %{libnameswscale} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc Changelog COPYING.* CREDITS INSTALL MAINTAINERS README doc
%{_bindir}/*
%{_libdir}/vhook
%{_mandir}/man1/*
%{_datadir}/ffmpeg

%files -n %{libname}
%defattr(-,root,root)
%doc libffmpeg0.txt

%files -n %{libnameavcodec}
%defattr(-,root,root)
%{_libdir}/%{libavcodec}.so.%{majoravcodec}*

%files -n %{libnameavdevice}
%defattr(-,root,root)
%{_libdir}/%{libavdevice}.so.%{majoravdevice}*

%files -n %{libnameavformat}
%defattr(-,root,root)
%{_libdir}/%{libavformat}.so.%{majoravformat}*

%files -n %{libnameavutil}
%defattr(-,root,root)
%{_libdir}/%{libavutil}.so.%{majoravutil}*

%files -n %{libnamepostproc}
%defattr(-,root,root)
%{_libdir}/%{libpostproc}.so.%{majorpostproc}*

%files -n %{libnameswscale}
%defattr(-,root,root)
%{_libdir}/%{libswscale}.so.%{majorswscale}*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/libavcodec
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu May 14 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- recompile against new x264 (PPC used old one before)
* Tue Apr 07 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed deprecated include symlinks (make trouble with new xine-lib)
* Tue Mar 10 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Wow! Never thought, this realy would get realaty, but it's
  a offical relase with tarball and so on. Now it's the real
  ffmpeg 0.5, enjoy it ;-)
* Tue Mar 03 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 17737
- ffmpeg has dumped version to 0.5 in changelog, so this is
  something like a release build ;-) (there are no official
  releases anymore)
- enabled vdpau support
* Wed Feb 11 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 1716
- recompile against new libfaad2 and libfaac
* Mon Dec 15 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 16142
- changed jack dependencies (conflict between jack and jackdmp)
* Sat Dec 13 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 16093
- disabled libnut support, doesn't compile
* Thu Nov 06 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 15785
- compile against new x264 and libtheora0 1.0
* Sat Oct 04 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 15554
- compile against new x264
* Sun Sep 21 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 15375
- compile against new liba52 lib and fixed dependency entry
* Sat Sep 20 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 15372
- compile against new faad2 and xvid packages
* Thu Sep 18 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 15365
- compile against new x264
* Sun Sep 14 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 15319
* Sat Sep 06 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 15224 (wma playback is now fixed in svn)
* Mon Aug 18 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 14828
- another try to fix wma playback (by downgrading all the
  wma stuff with little changes to make it work with new svn)
* Sat Aug 16 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 14793
- fixed dependency entries
* Fri Aug 15 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 14775
- enabled libschroedinger and libnut (only >= 11.0) support
- build with yasm 0.7.1
* Tue Jul 29 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 14462
- fixed some depends entries, thanks to Pascal for reporting it
* Thu Jul 24 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 14365
- fixed bad sound on wma files (downgrade wmadec.c)
* Mon Jul 21 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 14321
- splitted libffmpeg0 into seperate packages
* Sat Jul 05 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 14078
- rebuild with new faac 1.26 and faad2 2.6.1
* Sun Jun 29 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 14030
* Thu Jun 19 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed esound dependency entries, they are not (no longer?) needed
* Tue Jun 17 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 13799
* Mon May 12 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 13138
* Sat Apr 26 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 12977
- patched pkgconfig files, adding new include directories in Cflags
* Tue Apr 22 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 12924
* Sun Apr 13 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 12806
* Sat Mar 29 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 12625
* Sun Mar 16 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 12464
* Mon Mar 03 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- downgrade to svn 12146, to much trouble with vlc
* Mon Mar 03 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 12299
* Tue Feb 19 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 12146
* Sat Feb 09 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 11889:
  Now with Ogg and AVM2 (Flash 9) SWF muxers, TechnoTrend PVA and
  Linux Media Labs MPEG-4 (LMLM4) demuxers, PC Paintbrush PCX and
  Sun Rasterfile decoders
- enabled pthreads support
* Sat Feb 02 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 11813
* Fri Dec 28 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 11346
- rebuild with new x264
* Sun Dec 23 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 11311
- build without altivec support on ppc, otherwise it crashes on
  G3 and older CPUs (seems the detection is broken at the moment)
* Fri Dec 21 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 11296
- included libdc1394 support
- renamed libffmpeg0-devel to libffmpeg-devel
* Tue Nov 06 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 10937
- switched from libdts to libdca package, which now contains libdts library
* Sat Oct 27 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 10865, codecs like AMV audio and video,
  PAFF decoding for H.264, Nellymoser speech codec and
  Beam Software SIFF where included inbetween
* Sun Sep 02 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 10279
- build against new amrnb and amrwb packages
* Tue Jul 24 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 9790, new libswscale is needed for WengoPhone
* Thu Jul 05 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 9487
- using now external amrnb and amrwb packages
* Sat Feb 24 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 8115 to fix missing ac3 support
- enabled libgsm support for SUSE >= 10.1
* Sun Feb 18 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 8019
- changed configure file to enable -ldl, which seems to solve
  problems on some installations
* Thu Feb 08 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 7882, fixes vp6f decoding
* Thu Feb 01 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 7796
- changed options to make it compile on SUSE <= 10.0 again
* Sat Jan 20 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to svn 7591 and disabled gprof for ix86 to fixe
  compile without ugly hacks
- other compiler optimisation changes to fix segfaults
* Thu Jan 04 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another svn build, Revision 7407
- added a patch to fix problems in libavutil/common.h
* Thu Dec 21 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another svn build, Revision 7349
- added a ugly hack to enable the build again on x86
- fixed provides entry
* Sun Oct 08 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another svn build, Revision 6589
- enabled libdts support
* Sun Sep 24 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another svn build, Revision 6328
- removed -03 optimation in configure file, doesn't compile with
  gcc < 4 (SUSE 9.3 and below)
* Thu Sep 18 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another svn build, Revision 6288
* Thu Aug 17 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another svn build, Revision 6005
* Tue Aug 15 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another svn build, Revision 5999
- rebuild with new faac 1.25 and faad2 2.5
- disabled x264 for older SUSE versions, there is no actuall x264 package
* Fri Aug 11 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another svn build, Revision 5982
- added [percent]suse_update_libdir -f configure to fix x86_64 problems
* Sat Jun 24 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rebuild of latest svn version
* Sat Jun 10 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rebuild of latest svn version
* Thu Apr 27 2006 Leon Freitag <leon@links2linux.de>
- bumped the release (compiled against a new x264 version)
* Fri Apr 07 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rebuild of latest cvs version
- enabled x264 support
- removed pic from libavcodec/libpostproc/Makefile, doesn't compile
  on x86 with pic
* Wed Apr 05 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some little changes for SUSE 10.1 thanks to Detlef Reichelt
- removed vc1 (WMV) support (legaly reasons)
* Sat Feb 18 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rebuild of latest cvs version
- added vc1 (WMV) support
* Wed Feb 01 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rebuild of latest cvs version
* Sun Jan 22 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added provides entries for x86_64
* Fri Jan 13 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rebuild of latest cvs version
* Sun Oct 16 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added a fix for pkgconfig sent by Andreas Hanke
* Sun Oct 09 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- enabled a lot of codecs
* Sun Sep 18 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- cvs version for SUSE 10.0, last stable doesn't compile with gcc 4
* Fri Nov 23 2004 Detlef Reichelt <detlef@dreichelt.de>
- changes for x86_64:
 - added CFLAGS= -fPIC
 - added patch for
   - edit libavcodec/Makefile  /lib --> /lib64
   - edit libavformat/Makefile /lib --> /lib64
   - edit vhook/Makefile       /lib --> /lib64
* Sun Oct 31 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added --enable-a52 --enable-faad
* Fri Oct 29 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.4.9 pre1
- added --enable-gpl
* Mon May 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added --enable-pp to configure for Rainers vlc package
* Mon May 03 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some little changes for SuSE 9.1
* Fri Oct 03 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.4.8 final
* Sat Aug 30 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.4.7 final
* Thu Mar 27 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added packman headers
- added german translations
* Sat Dec 28 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de> 0.4.6
- update to 0.4.6 final
* Sat Dec 21 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de> 0.4.6-0.20021220
- compile for SuSE
- update to current cvs
* Sun Dec 15 2002 Yves Duret <yves@zarb.org> 0.4.6-0.20021209.2mdk
- use make installlib instead of doing it by hand.
- added a symlink [percent]_libdir/libavcodec/libavcodec.a to .. for some soft that
  search libavcodec.a here.
* Mon Dec  9 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20021209.1mdk
- add avformat stuff for gstreamer
- add vhook plugins
- build with imlib2 support
- new snapshot
* Mon Oct 28 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20021028.1mdk
- latest CVS snapshot
* Mon Aug 19 2002 Han Boetes <han@linux-mandrake.com> 0.4.6-0.20020819.1mdk
- update a bit
- Minor cleanups
* Wed Jul 10 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20020710.1mdk
- change the major to 0.4.6
- new cvs snapshot
* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020605.2mdk
- enabled mmx again, there is runtime detection (Götz Waschk <waschk@linux-mandrake.com>)
* Thu Jun 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020605.1mdk
- updated snapshot
- fixed build
- disabled mmx :-(
- documentation for main package only
- added missing binaries
* Sat May 18 2002 Yves Duret <yduret@mandrakesoft.com> 0.4.6-0.20020417.4mdk
- include libavcodec.a (no official release with a stable API -> static linking).
- fix FAQ missing (now in doc/FAQ).
* Wed May 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020417.3mdk
- fixed wrong release
* Wed May 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.6-0.20020417.2mdk
- added missing provides
* Wed Apr 17 2002 Götz Waschk <waschk@linux-mandrake.com> 0.4.6-0.20020417.1mdk
- update to CVS snapshot
- build shared library
- split package
- don't use [percent]configure, it's not an autoconf script
- add header files
* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- added in contribs by Götz Waschk <waschk@linux-mandrake.com> :
        - removed ffserver, because it doesn't work according to the FAQ
        - initial package

# end of file
